Bug 393471 - Evince Does Not Correctly Display PDF Unless You Select Text
Evince Does Not Correctly Display PDF Unless You Select Text
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: poppler (Show other bugs)
9
All Linux
low Severity high
: ---
: ---
Assigned To: Kristian Høgsberg
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-20 19:20 EST by Adam D. Ligas
Modified: 2009-07-14 11:55 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:55:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Arbitron National Satellite Report - Spring 2007 (249.27 KB, application/pdf)
2007-11-20 19:20 EST, Adam D. Ligas
no flags Details

  None (edit)
Description Adam D. Ligas 2007-11-20 19:20:53 EST
Description of problem:
When opening certain PDFs in Evince, the document comes up partially blank.  It
is only when you select the text in the document that it appears and becomes
readable.  It returns to a blank/unreadable status if you undo the text selection.


Version-Release number of selected component (if applicable):
evince-2.20.1-1.fc8

How reproducible:
100% with an affected document

Steps to Reproduce:
1. Open PDF in Evince
2. See text in PDF is missing
3. Select text with cursor, becomes readable
4. Unselect text with cursor, becomes unreadable again
  
Actual results:
PDF is unreadable without selecting the text

Expected results:
PDF should be readable without needing to select text

Additional info:
Same as previously closed Fedora 7 bug 249155.  Could not find a way to reopen
and bump version.
The missing text in the attached PDF starts at the table on page 4, and runs to
the end of the document on page 11.
Comment 1 Adam D. Ligas 2007-11-20 19:20:53 EST
Created attachment 265591 [details]
Arbitron National Satellite Report - Spring 2007
Comment 2 Adam D. Ligas 2007-12-10 03:32:56 EST
Bug continues to exist in evince-2.20.2-1.fc8
Comment 3 Adam D. Ligas 2007-12-10 03:51:31 EST
Went ahead and also filed the bug upstream.  Gnome Bug # 502806.
http://bugzilla.gnome.org/show_bug.cgi?id=502806
Comment 4 Adam D. Ligas 2008-06-21 02:05:18 EDT
Bug continues in 2.22.2 in F9.  Ticket updated.

Updated upstream ticket as well.
Comment 5 Adam D. Ligas 2008-11-16 22:59:01 EST
Determined to be bug in poppler by upstream, changing component:
http://bugzilla.gnome.org/show_bug.cgi?id=502806

Bug continues with following packages/versions:

evince-2.22.2-1.fc9.x86_64
poppler-0.8.7-1.fc9.x86_64

Also re-filed upstream with poppler:
https://bugs.freedesktop.org/show_bug.cgi?id=18563
Comment 6 Bug Zapper 2009-06-09 19:13:16 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-07-14 11:55:23 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.